aboutsummaryrefslogtreecommitdiff
path: root/share/templater/trashman
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-11-12 10:16:23 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-11-12 10:16:23 -0200
commit7d8d51d1f8569752092c226490c1507364238bd5 (patch)
tree521aea1ab7e8c09bcad140d22d07307d1f01832e /share/templater/trashman
parent066663586117202262c9b7890bfae76a6922501f (diff)
downloadtemplater-7d8d51d1f8569752092c226490c1507364238bd5.tar.gz
templater-7d8d51d1f8569752092c226490c1507364238bd5.tar.bz2
On creating modules with templater and a basic trashman module
Diffstat (limited to 'share/templater/trashman')
-rw-r--r--share/templater/trashman/description1
-rwxr-xr-xshare/templater/trashman/setup25
2 files changed, 26 insertions, 0 deletions
diff --git a/share/templater/trashman/description b/share/templater/trashman/description
new file mode 100644
index 0000000..ba436e5
--- /dev/null
+++ b/share/templater/trashman/description
@@ -0,0 +1 @@
+Trashman package skeleton
diff --git a/share/templater/trashman/setup b/share/templater/trashman/setup
new file mode 100755
index 0000000..6d4ae55
--- /dev/null
+++ b/share/templater/trashman/setup
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Trashman package templater module.
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+source $SHARE/templater/functions || exit 1
+
+# Templater module
+function templater_trashman {
+ if [ ! -e "description" ]; then
+ __templater_echo "Setting Trashman package"
+
+ touch info
+ mkdir unix
+ else
+ __templater_echo "Trashman package already set"
+ fi
+}
+
+# Dispatch
+templater_trashman